<?php

namespace Litecms\Teammember\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TeammembersTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Teammember\Models\Teammembers $teammembers)
    {
        return [
            'id'                => $teammembers->getRouteKey(),
            'key'               => [
                'public'    => $teammembers->getPublicKey(),
                'route'     => $teammembers->getRouteKey(),
            ], 
            'name'              => $teammembers->name,
            'designation'       => $teammembers->designation,
            'image'             => $teammembers->image,
            'description'       => $teammembers->description,
            'category'          => $teammembers->category,
            'status'            => $teammembers->status,
            'url'               => [
                'public'    => trans_url('teammember/'.$teammembers->getPublicKey()),
                'user'      => guard_url('teammember/teammembers/'.$teammembers->getRouteKey()),
            ], 
            'status'            => trans('app.'.$teammembers->status),
            'created_at'        => format_date($teammembers->created_at),
            'updated_at'        => format_date($teammembers->updated_at),
        ];
    }
}