<?php

namespace Litecms\Teammember;

use User;

class Teammember
{
    /**
     * $teammembers object.
     */
    protected $teammembers;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Teammember\Interfaces\TeammembersRepositoryInterface $teammembers)
    {
        $this->teammembers = $teammembers;
    }

    /**
     * Returns count of teammember.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.teammembers.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->teammembers->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TeammembersUserCriteria());
        }

        $teammembers = $this->teammembers->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('teammember::' . $view, compact('teammembers'))->render();
    }
}
